Skip to main content
GET
/
oauth-providers
/
{user_id}
/
{provider_id}
Get an OAuth provider
curl --request GET \
  --url https://api.stack-auth.com/api/v1/oauth-providers/{user_id}/{provider_id}
{
  "account_id": "google-account-id-12345",
  "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
  "id": "b3d396b8-c574-4c80-97b3-50031675ceb2",
  "provider_config_id": "google",
  "type": "google",
  "allow_sign_in": true,
  "allow_connected_accounts": true,
  "email": "test@gmail.com"
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

provider_id
string
required
user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

Response

200 - application/json

Successful response

account_id
string
required

Account ID of the OAuth provider. This uniquely identifies the account on the provider side.

Example:

"google-account-id-12345"

user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

id
string
required

The unique identifier of the OAuth provider

Example:

"b3d396b8-c574-4c80-97b3-50031675ceb2"

provider_config_id
string
required

Provider config ID of the OAuth provider. This uniquely identifies the provider config on config.json file

Example:

"google"

type
string
required

OAuth provider type, one of google, github, microsoft, spotify, facebook, discord, gitlab, bitbucket, linkedin, apple, x, twitch

Example:

"google"

allow_sign_in
boolean
required

Whether the user can use this OAuth provider to sign in. Only one OAuth provider per type can have this set to true.

Example:

true

allow_connected_accounts
boolean
required

Whether the user can use this OAuth provider as connected account. Multiple OAuth providers per type can have this set to true.

Example:

true

email
string

Email of the OAuth provider. This is used to display and identify the OAuth provider in the UI.

Example:

"test@gmail.com"